<?php
    //Variables de idioma para el formulario de contacto:
    if (!isset($enviar_un_mensaje_texto)) { $enviar_un_mensaje_texto = "Enviar un mensaje"; }
    if (!isset($enviar_texto_boton)) { $enviar_texto_boton = "Enviar"; }
    if (!isset($nombre_contacto_texto)) { $nombre_contacto_texto = "Nombre"; }
    if (!isset($nombre_error_texto)) { $nombre_error_texto = "Debe introducir un nombre"; }
    if (!isset($email_contacto_texto)) { $email_contacto_texto = "E-Mail"; }
    if (!isset($email_error_texto)) { $email_contacto_texto = "Debe introducir un E-Mail"; }
    if (!isset($texto_contacto_texto)) { $texto_contacto_texto = "Texto"; }
    if (!isset($texto_error_texto)) { $texto_error_texto = "Debe introducir un texto"; }
    if (!isset($mensaje_enviado)) { $email_enviado = "Su mensaje ha sido enviado correctamente. Gr&aacute;cias."; }
    if (!isset($mensaje_enviado_error)) { $email_enviado_error = "Su mensaje no ha podido ser enviado. Por favor, vuelva a intentarlo m&aacute;s tarde."; }
    if (!isset($mensajes_texto)) { $mensajes_texto = "Mensajes"; }

    $formulario_enviado_correctamente = TRUE;
    $nombre_error = $email_error = $texto_error = "";
    $nombre_enviado = $telefono_enviado = $email_enviado = $texto_enviado = "";
    
    //Si se ha enviado el formulario, comprobamos si se ha hecho correctamente o no:
    if (isset($HTTP_GET_VARS["formulario_enviado"]) && trim($HTTP_GET_VARS["formulario_enviado"]) == "si")
    {
        //Comprueba si se ha enviado correctamente el nombre:
        if (isset($HTTP_GET_VARS["nombre"]) && trim($HTTP_GET_VARS["nombre"]) != "") { $nombre_enviado = trim(htmlentities(stripslashes(urldecode($HTTP_GET_VARS["nombre"])))); }
        else { $nombre_error = $nombre_error_texto; $formulario_enviado_correctamente = FALSE; }

        //Comprueba si se ha enviado correctamente el E-Mail:
        if (isset($HTTP_GET_VARS["email"]) && trim($HTTP_GET_VARS["email"]) != "") { $email_enviado = trim(htmlentities(stripslashes(urldecode($HTTP_GET_VARS["email"])))); }
        else { $email_error = $email_error_texto; $formulario_enviado_correctamente = FALSE; }

        //Comprueba si se ha enviado correctamente el texto:
        if (isset($HTTP_GET_VARS["texto"]) && trim($HTTP_GET_VARS["texto"]) != "") { $texto_enviado = trim(htmlentities(stripslashes(urldecode($HTTP_GET_VARS["texto"])))); }
        else { $texto_error = $texto_error_texto; $formulario_enviado_correctamente = FALSE; }
    }
    else { $formulario_enviado_correctamente = FALSE; }

    //Si se ha enviado el formulario correctamente, se inserta en la base de datos y lo notifica:
    if ($formulario_enviado_correctamente)
    {
        //Calcula la feha y la hora:
        $fecha_mensaje = date("d") . ":" . date("m") . ":" . date("Y");
        $hora_mensaje = date("H") . "/" . date("i") . "/" . date("s");

        //Previene mySQL injection:
        $nombre_enviado = mysql_real_escape_string($nombre_enviado);
        $fecha_mensaje = mysql_real_escape_string($fecha_mensaje);
        $hora_mensaje = mysql_real_escape_string($hora_mensaje);
        $texto_enviado = mysql_real_escape_string($texto_enviado);
        $email_enviado = mysql_real_escape_string($email_enviado);
        
        //Si el mensaje ya existe, da error:
        $consulta = "SELECT * FROM foro WHERE mensaje LIKE '" . $texto_enviado . "' AND nombre LIKE '" . $nombre_enviado . "';";
        $resultado = @mysql_query($consulta) or die(mysql_error());
        if (mysql_num_rows($resultado) > 0) { $resultado = FALSE; }
        //...pero si no, lo intenta insertar:
        else
        {               
            //Inserta los datos en la base de datos:
            $consulta = "INSERT INTO foro (nombre, fecha, hora, mensaje, email) VALUES ('".$nombre_enviado."', '".$fecha_mensaje."', '".$hora_mensaje."', '".$texto_enviado."', '".$email_enviado."');";
            $resultado = @mysql_query($consulta) or die(mysql_error());
        }
        
        //Notifica si ha ido bien o no:    
        if ($resultado) { echo "<b>". $mensaje_enviado . "</b>"; }
        else { echo '<a href="' . $this_file . '?idioma=' . $idioma_usado . '&' . $id_sesion . '"><b>' . $mensaje_enviado_error . '</b></a>'; }
    }
    //...pero si no, se muestra el formulario para que se rellene:
    else
    {
?>
<font color="#770000"><h3><?php echo $enviar_un_mensaje_texto; ?></h3></font>
<font size="3" color="#000000" face="courier">
<center>
<form method="get" action="<?php echo $this_file; ?>">
    <input type="hidden" name="idioma" value="<?php echo $idioma_usado; ?>">
    <input type="hidden" name="<?php session_name(); ?>" value="<?php echo session_id(); ?>">
    <table border="1" width="<?php echo $body_width - 80; ?>" cellpadding="10" cellspacing="0" align="center" class="cuerpo">
        <tr>
            <td width="180" align="right" valign="middle" class="cuerpo">
                <b><?php echo $nombre_contacto_texto; ?></b>:
                <?php if ($nombre_error != "") { echo '<br><center><font color="#550000"><i>' . $nombre_error . '</i></font></center>'; } ?>
            </td>
            <td valign="middle" class="cuerpo">
                <input type="text" name="nombre" value="<?php echo $nombre_enviado; ?>" size="30" class="cuerpo">
            </td>
        </tr>
        <tr>
            <td width="180" align="right" valign="middle" class="cuerpo">
                <b><?php echo $email_contacto_texto; ?></b>:
                <?php if ($email_error != "") { echo '<br><center><font color="#550000"><i>' . $email_error . '</i></font></center>'; } ?>
            </td>
            <td valign="middle" class="cuerpo">
                <input type="text" name="email" value="<?php echo $email_enviado; ?>" size="30" class="cuerpo">
            </td>
        </tr>
        <tr>
            <td width="180" align="right" valign="middle" class="cuerpo">
                <b><?php echo $texto_contacto_texto; ?></b>:
                <?php if ($texto_error != "") { echo '<br><center><font color="#550000"><i>' . $texto_error . '</i></font></center>'; } ?>
            </td>
            <td valign="middle" class="cuerpo">
                <textarea name="texto" cols="20" rows="6" class="cuerpo"><?php echo $texto_enviado; ?></textarea>
            </td>
        </tr>
    </table>
    <br>
    <input type="hidden" name="formulario_enviado" value="si">
    <input type="submit" name="boton_enviar" value="<?php echo $enviar_texto_boton; ?>" class="boton" title="<?php echo $enviar_texto_boton; ?>">
</form>
</center>
</font>
<?php
    }
?>
<br>
<font color="#770000"><h3><?php echo $mensajes_texto; ?></h3></font>
<center>
<?php    
    //Muestra los mensajes que hay:
    $consulta = "SELECT * FROM foro ORDER BY id DESC;";
    $resultado = mysql_query($consulta) or die(mysql_error());
    while ($row = mysql_fetch_assoc($resultado))
    {
        echo '<table width="' . ($body_width - 80) . '" border="1" cellpadding="10" cellspacing="0" align="center" class="cuerpo">';
        echo "<tr>";
        echo '<td class="cuerpo"><a href="mailto:' . $row["email"] . '">' . $row["nombre"] . '</a> - <b>' . $row["hora"] . '</b> - <b>' . $row["fecha"] . '</b></td>';
        echo "</tr>";
        echo "<tr>";
        echo '<td class="cuerpo"><font size="3" color="#333333" face="courier"><b>' . $row["mensaje"] . '</b></font></td>';
        echo "</tr>";
        echo '</table>';
    }
?>
</center>
<br>
